
function mudfish_adclean_cdef1e57eefedad78cfff2f39c00c9c7() {
  var g_conf = {
    mudfish_adclean_filter_on: true
  };
  chrome.storage.local.get(g_conf, function (items) {
    if (!g_conf.mudfish_adclean_filter_on) {
      return;
    }
    try {
      Sizzle(`.ads`).forEach(element => {
        element.style.display = "none";
      });
    } catch (error) {
      console.log('[ERROR] mudfish_adclean rule error: ' + error);
    }
  });
}

var mudfish_adclean_is_firefox = typeof InstallTrigger !== 'undefined';
if (mudfish_adclean_is_firefox) {
  mudfish_adclean_cdef1e57eefedad78cfff2f39c00c9c7();
} else {
  window.addEventListener("load", (event) => {
    mudfish_adclean_cdef1e57eefedad78cfff2f39c00c9c7();
  });
}
